Various LaTeX classes. Note that some of this exists as independent LaTeX repostiories (e.g., ouexam, beamerthemes). These are included as submodules.

To install, ensure that `$TEXMFHOME` is set to your personal texmf tree (e.g., `~/.texmf`), then:

	% git clone https://github.com/Otago-InfoSci-Database/LaTeX.git
	% cd LaTeX
	% git submodule update
	% make install

Everything should just work beyond that point (fingers crossed! ☺), barring any backwards incompatible changes to classes or the like.

**IMPORTANT!!** If you change any of the submodules, make sure that you commit and push the submodule *first*, then commit and push *this* repository to resynchronise the submodule pointer. Otherwise you’ll end up with a detached HEAD in the submodule and things can get very messy!

Assuming everything is properly pushed, then updating on other clients is just a matter of:

	% git pull
	% cd submodule; git pull; cd ..
	% git submodule update
	% make install
